{% set title = TyO.sysma_object_type~' - '~TT.sysma_action_type %}

{% extends 'thesaurus/thesaurusLayout.twig' %}
{% block content %}

	{% if [app.session.get('user_id'),null, TyO.sysma_object_type_id, null, TT.sysma_action_type_id ,null ,null , 'lecteur']|hasAccess or [app.session.get('user_id'),null, TyO.sysma_object_type_id, null,  TT.sysma_action_type_id ,null ,null , 'contributeur']|hasAccess %}
		<h3>Type d'objet:
			<a href=" {{ url('sysma-object-type',{ 'id' : TyO.sysma_object_type_id }) }}">{{ TyO.sysma_object_type|raw }}</a>
		</h3>
		<h1>Type d'actions :
			<u>{{ TT.sysma_action_type|raw }}</u>
			{% include('thesaurus/thesaurusSysmaActionTypeModificationButton.twig') %}</h1>
		<div class="row">
			<div class="col-md-6">
				<h3>Définition</h3>
				<p>
					{% autoescape %}
						{{ TT.description|raw }}
					{% endautoescape %}
				</p>

				{%  if TT.unit_cost != 0 and TT.unit_cost is not null %}
					<p>Coût indicatif :
						{{ TT.unit_cost }}
						€ par
						{{ TT.unit_measure == 'object' ? TT.sysma_action_type|lower : UNIT_MEASURES[TT.unit_measure]|default(null) }}
					</p>


				{%  endif %}
			</div>
			<div class="col-md-6">
				<h3>Style par défaut</h3>


				{% if TyO.geometry_type == 'ST_Linestring' %}
					<svg height="18" width="18">
						{% if TT.style_decode.secondLine|default(null) == '1' %}
							<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ TT.style_decode.secondLineColor }};stroke-opacity:{{ TT.style_decode.secondLineOpacity }};stroke-width:{{ TT.style_decode.secondLineWeight }};stroke-linecap:round;stroke-linejoin:round"/>
							<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ TT.style_decode.color }};stroke-opacity:{{ TT.style_decode.opacity }};stroke-width:{{ TT.style_decode.weight }};stroke-dasharray:{{ TT.style_decode.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
						{% else %}
							<line x1="0" y1="9" x2="18" y2="9" style="stroke:{{ TT.style_decode.color }};stroke-opacity:{{ TT.style_decode.opacity }};stroke-width:{{ TT.style_decode.weight }};stroke-dasharray:{{ TT.style_decode.dashArray|default(0) }};stroke-linecap:round;stroke-linejoin:round"/>
						{% endif %}
					</svg>

				{% endif %}


				{% if TyO.geometry_type == 'ST_Polygon' %}
					<svg height="16" width="16">
						<rect width="16" height="16" stroke="{{ TT.style_decode.color }}" stroke-opacity="{{ TT.style_decode.opacity }}" stroke-width="{{ TT.style_decode.weight }}" fill="{{ TT.style_decode.fillColor|default(TT.style_decode.color) }}" fill-opacity="{{ TT.style_decode.fillOpacity|default(TT.style_decode.opacity) }}"/>
					</svg>
				{% endif %}


				{% if TyO.geometry_type == 'ST_Point' %}
					{% if TT.style_decode.icon is defined and TT.style_decode.icon == 1 and TT.style_decode.iconUrl != '' %}

						{% set size = 20 %}
						{% set fillRadius = size /2  * (TyO.style_decode.fillRadius|default(0.05)/10) %}
						{% set backColor =  TT.style_decode.fillColor|default(TT.style_decode.color)|hexToRGB %}

						<div style="background-color:rgba({{ backColor.r }},{{ backColor.g }}, {{ backColor.b }},{{ TT.style_decode.fillOpacity|default(TT.style_decode.opacity)|default(1) }});width:{{ size }}px;height:{{size}}px;border-radius:{{ fillRadius|default(5)}}px;">
							<div style="width:{{size}}px;height:{{size}}px;background:{{ TT.style_decode.color }};-webkit-mask-image:url({{ TT.style_decode.iconUrl }});-webkit-mask-repeat:no-repeat;-webkit-mask-size:{{ size * 0.8 }}px;-webkit-mask-position: center;mask-image:url({{ TT.style_decode.iconUrl }});mask-repeat:no-repeat;mask-size: {{ (size * 0.8)|round }}px;mask-position: center;opacity:{{ TT.style_decode.opacity|default(1) }}"></div>
						</div>
					{% else %}
						<svg height="18" width="20">
							<circle cx="8" cy="10" r="4" stroke="{{ TT.style_decode.color }}" stroke-opacity="{{ TT.style_decode.opacity }}" tyo-width="{{ min(TT.style_decode.weight,5) }}" fill="{{ TT.style_decode.fillColor|default(TT.style_decode.color) }}" fill-opacity="{{ TT.style_decode.fillOpacity|default(TT.style_decode.opacity) }}"/>
						</svg>
					{% endif %}
				{% endif %}


			</div>
		</div>
		<h3>Paramètres</h3>
		<p>
			{% include('thesaurus/thesaurusSysmaActionTypeParameterCreationButton.twig') %}
		</p>
		{% if TT.paramArray|length > 0 %}
			{% for P in TT.paramArray %}
				<div class="boiteparameter">
					{% include('thesaurus/thesaurusSysmaActionTypeParameter.twig') %}
				</div>
			{% endfor %}
		{% endif %}

	{% endif %}


{% endblock %}
